package com.b510.excel.client;

import java.util.List;

import com.b510.excel.common.Common;
import com.b510.excel.reader.ReadExcel;
import com.b510.excel.vo.Student;
import com.b510.excel.writer.WriteHtml;

public class Client {

	public static void main(String[] args) throws Exception {
		String excel2010 = Common.STUDENT_INFO_XLSX_PATH;
		// read the 2010 excel
		List<Student> list1 = new ReadExcel().readExcel(excel2010);
		if (list1 != null && list1.size() > 0) {
			for (Student student : list1) {
				System.out.println("No. : " + student.getNo() + ", name : " + student.getName() + ", age : " + student.getAge() + ", score : " + student.getScore());
			}
			System.out.println("begin to write into html file");
			WriteHtml.write(list1);
		}

	}
}
